libogg documentation | libogg release 1.3.6 - 20250616

# ogg_packet_clear

declared in "ogg/ogg.h";

This function clears the memory used by the ogg_packet struct, but does not free the structure itself. It unconditionally frees the packet data buffer, then it zeros all structure members.

    void ogg_packet_clear(ogg_packet *op);

### Parameters

op
  Pointer to the ogg_packet struct to be cleared.

### Return Values

> - None.

copyright © 2000-2021 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.3.6 - 20250616